Subject: Re: linux-next: build warning after merge of the mmc-uh tree

From: Shawn Lin <[email-masked]>
Date: Mon, 6 Jun 2016 09:51:06 +0800

Hi Stephen,

On 2016/6/6 9:38, Stephen Rothwell wrote:
> Hi Ulf,
>
> After merging the mmc-uh tree, today's linux-next build (x86_64
> allmodconfig) produced this warning:
>
> In file included from include/linux/err.h:4:0,
>                  from drivers/mmc/core/mmc.c:13:
> drivers/mmc/core/mmc.c: In function 'mmc_select_hs400es':
> include/linux/err.h:21:49: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
>  #define IS_ERR_VALUE(x) unlikely((unsigned long)(void *)(x) >= (unsigned long)-MAX_ERRNO)
>                                                  ^
> include/linux/compiler.h:170:42: note: in definition of macro 'unlikely'
>  # define unlikely(x) __builtin_expect(!!(x), 0)
>                                           ^
> drivers/mmc/core/mmc.c:1244:6: note: in expansion of macro 'IS_ERR_VALUE'
>   if (IS_ERR_VALUE(err))
>       ^

Yup, sorry for this noise. Arnd had removed a lot of IS_ERR_VALUE
abuses, but I forgot to amend this one.

Hi Ulf,

Should I come up with a new fix or you could manually amend it from
"IS_ERR_VALUE(err)" to "err < 0"? :)

>
> Introduced by commit
>
>   8141f0ace818 ("mmc: core: implement enhanced strobe support")
>
> I think error values now must be "long".
>

-- 
Best Regards
Shawn Lin